<?php

require_once("vendor/flexi/flexi.php");
require_once("lib/visual.inc.php");
require_once("lib/classes/UserManagement.class.php");

class Wikifarmuebersicht extends StudIPPlugin implements AdministrationPlugin {

    function __construct()
    {
        if ($GLOBALS['perm']->have_perm("root")) {
            Navigation::addItem('/admin/tools/wikifarmuebersicht', new Navigation($this->getPluginName(), PluginEngine::getUrl($this)));
        }
    }

    function show_action()
    {
		$GLOBALS['perm']->check("root");
		Navigation::activateItem('/admin/tools/wikifarmuebersicht');

		$factory = new Flexi_TemplateFactory(dirname(__FILE__)."/templates");
		$template = $factory->open("index");

		$template->set_attribute('seminarsAll', $this->_findAllSeminars());
		$template->set_attribute('institutesAll', $this->_findAllInstitutes());

		$template->set_layout('layout.php');
        $template->set_attribute('plugin', $this);
        
		echo $template->render();
    }

	function getPluginname(){
		return _("Wikifarm-bersicht");
	}

	function _findAllSeminars(){

		$sql = "SELECT oc.*, s.Seminar_id, s.Name, s.Untertitel FROM object_contentmodules oc JOIN seminare s ON (oc.object_id = s.Seminar_id) WHERE oc.system_type = 'pmwikifarm' AND oc.module_type = 'wiki'";
		$result = $this->_sqlQuery($sql);
		
		return $result;
	}
	
	function _findAllInstitutes(){

		$sql = "SELECT oc.*, i.Institut_id, i.Name, i.fakultaets_id FROM object_contentmodules oc JOIN Institute i ON (oc.object_id = i.Institut_id) WHERE oc.system_type = 'pmwikifarm' AND oc.module_type = 'wiki'";
		$result = $this->_sqlQuery($sql);
		
		return $result;
	}

	function _sqlQuery($sql){

		if(trim($sql) == "")
			return null;
		else
		{
			$db = DBManager::get();			
			return $db->query($sql);
		}
	}
}

		
